This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 971434 - Buglist for single component should offer "File a new bug in the XYZ component" instead of "File a new bug in the XYZ product"
Buglist for single component should offer "File a new bug in the XYZ componen...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 09:45 EDT by Jan Pokorný
Modified: 2014-10-12 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:45:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 890165 None None None Never

  None (edit)
Description Jan Pokorný 2013-06-06 09:45:23 EDT
This would help noticeably in "search existing or file new bug" workflow.
Thanks for considering.
Comment 1 Simon Green 2013-06-14 03:52:23 EDT
I assume you are referring to the buglist.cgi page. Please let me know if this is not correct.

  -- simon
Comment 2 Jan Pokorný 2013-06-14 08:15:59 EDT
Simon,

yes (always trying to match the correct "component" as per *.cgi stated in
its description).  For example, using the 'Show other bugs' link in this
very bug:

  https://bugzilla.redhat.com/buglist.cgi?component=Query%2FBug%20List&product=Bugzilla

By definition, only a single component (product-component pair) will be
listed, so the proposed narrowing to component (File a new bug in the
"Query/Bug List" component of "Bugzilla" product) should apply.

This is actually also the instance of the use case I was talking about:
- have an issue, will find something similar for the same component
- will click on "Show other bugs" (which is in the context of a component)
- either will find what I was looking for or use "File a new bug..."
  at the bottom, preferrably (aim of this bug) with component already
  prefilled
Comment 4 Simon Green 2013-07-22 20:28:46 EDT
Will wait for upstream review before implementing this.

  -- simon
Comment 6 Simon Green 2013-10-03 20:45:45 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon
Comment 8 Jan Pokorný 2013-11-06 04:52:16 EST
Thank you Simon, just tried this out.

Note You need to log in before you can comment on or make changes to this bug.